﻿footer{
    width: 100%;
    display: block;
    position: relative;
    font-size: 0;
    background-color: #f5f5f5;
}
.footer-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    box-sizing: border-box;
    padding-bottom: 80px;
}
.footer-top-box{
    width: 100%;
    display: block;
    text-align: center;
    box-sizing: border-box;
    padding: 30px 0;
    margin-bottom: 50px;
    border-bottom: 1px solid #ddd;
}
.footer-top-arrow-box{
    width: 45px;
    height: 45px;
    border-radius: 50%;
    border: 2px solid #000;
    display: inline-block;
    overflow: hidden;
}
.footer-top-arrow{
    width: 2px;
    height: 27px;
    display: inline-block;
    background-color: #000;
    margin-top: 18px;
    position: relative;
    transition: all .3s linear;
}
.footer-top-arrow:before{
    content: '';
    width: 7px;
    height: 2px;
    position: absolute;
    top: 0;
    right: 2px;
    background-color: #000;
    transform-origin: 100% 50%;
    transform: rotateZ(-45deg);
}
.footer-top-arrow:after{
    content: '';
    width: 7px;
    height: 2px;
    position: absolute;
    top: 0;
    left: 2px;
    background-color: #000;
    transform-origin: 0% 50%;
    transform: rotateZ(45deg);
}
.footer-info-l-box,
.footer-info-r-box{
    width: 50%;
    display: inline-block;
    vertical-align: middle;
}
.footer-info-img-box{
    display: inline-block;
    vertical-align: middle;
}
.footer-info{
    width: calc(100% - 126px);
    display: inline-block;
    vertical-align: middle;
    box-sizing: border-box;
    padding-left: 30px;
}
.footer-info-name{
    font-size: 16px;
    color: #000;
    letter-spacing: 1px;
}
.footer-info-text{
    font-size: 14px;
    color: #000;
    letter-spacing: 1px;
    margin-top: 10px;
}
.footer-info-text a{
    position: relative;
}
.footer-info-text a:after{
    content: '';
    width: 0%;
    height: 1px;
    background-color: #555;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: all .3s linear;
}
.footer-menu{
    text-align: right;
    width: 100%;
}
.footer-menu>li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    margin-right: 50px;
}
.footer-menu>li:last-child{
    margin-right: 0;
}
.footer-menu>li:after{
    content: '';
    width: 1px;
    height: 90%;
    position: absolute;
    top: 5%;
    right: -25px;
    background-color: #ddd;
}
.footer-menu>li:last-child:after{
    display: none;
}
.footer-menu-title{
    font-size: 14px;
    font-weight: lighter;
    color: #555;
    letter-spacing: 1px;
}
.footer-menu-title:after{
    content: '';
    width: 0%;
    height: 1px;
    background-color: #555;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: all .3s linear;
}
.footer-info-follow-box{
    font-size: 18px;
    color: #000;
    text-align: right;
    margin-top: 40px;
}
.footer-info-follow-box i{
    margin-left: 25px;
    transition: all .3s linear;
}
.footer-web{
    background-color: #1b1b1b;
    font-size: 12px;
    letter-spacing: 1px;
    color: #eee;
    text-align: center;
    font-weight: lighter;
    line-height: 40px;
}


@media only screen and (max-width: 1280px){
    .footer-box{
        width: 1200px;
    }
}
@media only screen and (max-width: 1200px){
    .footer-box{
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .footer-box{
        width: 95%;
        padding: 30px 0; 
    }
    .footer-top-box{
        display: none;
    }
    .footer-info-img-box{
        width: 100px;
    }
    .footer-info{
        width: calc(100% - 100px);
        padding-left: 10px;
    }
    .footer-info-menu-box{
        display: none;
    }
    .footer-info-follow-box{
        margin-top: 10px;
    }
    .footer-info-l-box{
        width: 100%;
    }
    .footer-info-r-box{
        width: 100%;
    }
}
@media only screen and (max-width: 400px){
    .footer-info-text{
        font-size: 12px;
    }
    .footer-info{
        width: 100%;
        padding-left: 0;
        margin-top: 10px;
    }
    .footer-info-l-box{
        text-align: center;
    }
    .footer-info-follow-box{
        text-align: center;
    }
    .footer-info-follow-box i{
        margin: 0 10px;
    }
    .footer-web{
        line-height: inherit;
        box-sizing: border-box;
        padding: 5px 0;
    }
    .footer-web span{
        display: block;
    }
    .footer-box{
        padding: 15px 0;
    }
}


/*-------------hover------------*/
.footer-top-arrow-box:hover .footer-top-arrow{
    margin-top: 2px;
}
.footer-menu-title:hover:after,
.footer-info-text a:hover:after{
    width: 100%;
}
.footer-info-follow-box a:nth-child(1):hover{
    color: #00aaf2;
}
.footer-info-follow-box a:nth-child(2):hover{
    color: #3a5897;
}